﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.Threading.Tasks;

namespace ETM_sample {
    class SampleModule {
        


        /// <summary>
        /// ETM TCP接続
        /// </summary>
        public void LhConnect(ManualResetEvent connect) {
            // 通信設定
            var ipAddress = IPAddress.Parse(LhIpAddTextBox.Text);
            int portNo = Convert.ToInt32(_defaultLhPort);
            int timeoutTimer = Convert.ToInt32(LhTimeOutTextBox.Text) * 1000;

            // 接続開始
            _connect.Reset();
            _tc = new TcpClient();
            var iar = _tc.BeginConnect(ipAddress, portNo, new AsyncCallback(ConnectCallback), _tc);

            // タイムアウト判定
            if (!_connect.WaitOne(timeOut)) {
                _tc.Close();
                throw new SocketException();
            }

            // ソケットストリーム取得
            _objStm = _tc.GetStream();
            _objStm.WriteTimeout = 1000;
            _objStm.ReadTimeout = 1000;
        }
    }
}
